package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.core.CrudDao;
import com.ruoyi.interfaces.core.page.PageParam;
import com.ruoyi.interfaces.domain.PtFile;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtFileDao extends CrudDao<PtFile, PageParam<PtFile>> {

    int delete(@Param("id") String id);

    PtFile get(@Param("id") String id);

    List<PtFile> list(PtFile ptFile);

    List<PtFile> listByRelId(@Param("relId") String relId);
}
